package com.jwipc.tender.logic;

import com.jwipc.page.PageView;
import com.jwipc.tender.dto.BenchmarksFieldDTO;
import com.jwipc.tender.dto.TenderTemplateBaseDTO;
import com.jwipc.tender.dto.TenderTemplateFieldBaseDTO;
import com.jwipc.tender.dto.TenderTemplateSaveDTO;
import com.jwipc.tender.model.query.TenderTemplateQuery;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
public interface TenderTemplateLogic {
    PageView getList(TenderTemplateQuery query);

    TenderTemplateBaseDTO getDetail(Long id);

    List<TenderTemplateFieldBaseDTO> getTemplateFieldList(Long id);

    void saveOrUpdate(TenderTemplateSaveDTO saveDTO);

    PageView getFieldList();

    void remove(Long id);

    List<TenderTemplateBaseDTO> getListAll(Long typeId);

    BenchmarksFieldDTO getTenderFields(Long id);

    void tempExport(HttpServletResponse response, Long templateId, Integer thresholdFlag) throws IOException;

    List<Map<String, String>> handleImportData(List<Map<String, String>> dataList);

    void export1(HttpServletResponse response, Long bidId, Long historyFlag,Integer thresholdFlag,Integer bargaining) throws IOException;

    List<Map<String, String>> handleImport1Data(List<Map<String, String>> dataList);

}